MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001392XdebugInstallationpublic2017-01-19 12:172017-02-02 18:38
Reporterriba 
Assigned Toderick 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformUnixOSFreeBSDOS Version10.2
Product Version2.5.0 
Target Version2.5.1Fixed in Version2.5.1 
Summary0001392: Unable to compile on FreeBSD 10.2 - error: variable has incomplete type 'struct sockaddr_in6'
Descriptiongetting error:

creating libtool
appending configuration tag "CXX" to libtool
configure: creating ./config.status
config.status: creating config.h
config.status: config.h is unchanged
/bin/sh /hskript/install/xdebug-2.5.0/libtool --mode=compile cc -I. -I/hskript/install/xdebug-2.5.0 -DPHP_ATOM_INC -I/hskript/install/xdebug-2.5.0/include -I/hskript/install/xdebug-2.5.0/main -I/hskript/install/xdebug-2.5.0 -I/usr/local/php71/include/php -I/usr/local/php71/include/php/main -I/usr/local/php71/include/php/TSRM -I/usr/local/php71/include/php/Zend -I/usr/local/php71/include/php/ext -I/usr/local/php71/include/php/ext/date/lib -DHAVE_CONFIG_H -g -O2 -c /hskript/install/xdebug-2.5.0/xdebug.c -o xdebug.lo
mkdir .libs
 cc -I. -I/hskript/install/xdebug-2.5.0 -DPHP_ATOM_INC -I/hskript/install/xdebug-2.5.0/include -I/hskript/install/xdebug-2.5.0/main -I/hskript/install/xdebug-2.5.0 -I/usr/local/php71/include/php -I/usr/local/php71/include/php/main -I/usr/local/php71/include/php/TSRM -I/usr/local/php71/include/php/Zend -I/usr/local/php71/include/php/ext -I/usr/local/php71/include/php/ext/date/lib -DHAVE_CONFIG_H -g -O2 -c /hskript/install/xdebug-2.5.0/xdebug.c -fPIC -DPIC -o .libs/xdebug.o
/bin/sh /hskript/install/xdebug-2.5.0/libtool --mode=compile cc -I. -I/hskript/install/xdebug-2.5.0 -DPHP_ATOM_INC -I/hskript/install/xdebug-2.5.0/include -I/hskript/install/xdebug-2.5.0/main -I/hskript/install/xdebug-2.5.0 -I/usr/local/php71/include/php -I/usr/local/php71/include/php/main -I/usr/local/php71/include/php/TSRM -I/usr/local/php71/include/php/Zend -I/usr/local/php71/include/php/ext -I/usr/local/php71/include/php/ext/date/lib -DHAVE_CONFIG_H -g -O2 -c /hskript/install/xdebug-2.5.0/xdebug_branch_info.c -o xdebug_branch_info.lo
 cc -I. -I/hskript/install/xdebug-2.5.0 -DPHP_ATOM_INC -I/hskript/install/xdebug-2.5.0/include -I/hskript/install/xdebug-2.5.0/main -I/hskript/install/xdebug-2.5.0 -I/usr/local/php71/include/php -I/usr/local/php71/include/php/main -I/usr/local/php71/include/php/TSRM -I/usr/local/php71/include/php/Zend -I/usr/local/php71/include/php/ext -I/usr/local/php71/include/php/ext/date/lib -DHAVE_CONFIG_H -g -O2 -c /hskript/install/xdebug-2.5.0/xdebug_branch_info.c -fPIC -DPIC -o .libs/xdebug_branch_info.o
/bin/sh /hskript/install/xdebug-2.5.0/libtool --mode=compile cc -I. -I/hskript/install/xdebug-2.5.0 -DPHP_ATOM_INC -I/hskript/install/xdebug-2.5.0/include -I/hskript/install/xdebug-2.5.0/main -I/hskript/install/xdebug-2.5.0 -I/usr/local/php71/include/php -I/usr/local/php71/include/php/main -I/usr/local/php71/include/php/TSRM -I/usr/local/php71/include/php/Zend -I/usr/local/php71/include/php/ext -I/usr/local/php71/include/php/ext/date/lib -DHAVE_CONFIG_H -g -O2 -c /hskript/install/xdebug-2.5.0/xdebug_code_coverage.c -o xdebug_code_coverage.lo
 cc -I. -I/hskript/install/xdebug-2.5.0 -DPHP_ATOM_INC -I/hskript/install/xdebug-2.5.0/include -I/hskript/install/xdebug-2.5.0/main -I/hskript/install/xdebug-2.5.0 -I/usr/local/php71/include/php -I/usr/local/php71/include/php/main -I/usr/local/php71/include/php/TSRM -I/usr/local/php71/include/php/Zend -I/usr/local/php71/include/php/ext -I/usr/local/php71/include/php/ext/date/lib -DHAVE_CONFIG_H -g -O2 -c /hskript/install/xdebug-2.5.0/xdebug_code_coverage.c -fPIC -DPIC -o .libs/xdebug_code_coverage.o
/bin/sh /hskript/install/xdebug-2.5.0/libtool --mode=compile cc -I. -I/hskript/install/xdebug-2.5.0 -DPHP_ATOM_INC -I/hskript/install/xdebug-2.5.0/include -I/hskript/install/xdebug-2.5.0/main -I/hskript/install/xdebug-2.5.0 -I/usr/local/php71/include/php -I/usr/local/php71/include/php/main -I/usr/local/php71/include/php/TSRM -I/usr/local/php71/include/php/Zend -I/usr/local/php71/include/php/ext -I/usr/local/php71/include/php/ext/date/lib -DHAVE_CONFIG_H -g -O2 -c /hskript/install/xdebug-2.5.0/xdebug_com.c -o xdebug_com.lo
 cc -I. -I/hskript/install/xdebug-2.5.0 -DPHP_ATOM_INC -I/hskript/install/xdebug-2.5.0/include -I/hskript/install/xdebug-2.5.0/main -I/hskript/install/xdebug-2.5.0 -I/usr/local/php71/include/php -I/usr/local/php71/include/php/main -I/usr/local/php71/include/php/TSRM -I/usr/local/php71/include/php/Zend -I/usr/local/php71/include/php/ext -I/usr/local/php71/include/php/ext/date/lib -DHAVE_CONFIG_H -g -O2 -c /hskript/install/xdebug-2.5.0/xdebug_com.c -fPIC -DPIC -o .libs/xdebug_com.o
/hskript/install/xdebug-2.5.0/xdebug_com.c:84:29: error: variable has incomplete type 'struct sockaddr_in6'
        struct sockaddr_in6 sa;
                                   ^
/hskript/install/xdebug-2.5.0/xdebug_com.c:84:9: note: forward declaration of 'struct sockaddr_in6'
        struct sockaddr_in6 sa;
               ^
/hskript/install/xdebug-2.5.0/xdebug_com.c:117:22: error: use of undeclared identifier 'IPPROTO_TCP'
        hints.ai_protocol = IPPROTO_TCP;
                            ^
/hskript/install/xdebug-2.5.0/xdebug_com.c:279:22: error: use of undeclared identifier 'IPPROTO_TCP'
                setsockopt(sockfd, IPPROTO_TCP, TCP_NODELAY, &optval, sizeof(optval));
                                   ^
3 errors generated.
*** Error code 1

Stop.
make: stopped in /hskript/install/xdebug-2.5.0
/bin/sh /hskript/install/xdebug-2.5.0/libtool --mode=compile cc -I. -I/hskript/install/xdebug-2.5.0 -DPHP_ATOM_INC -I/hskript/install/xdebug-2.5.0/include -I/hskript/install/xdebug-2.5.0/main -I/hskript/install/xdebug-2.5.0 -I/usr/local/php71/include/php -I/usr/local/php71/include/php/main -I/usr/local/php71/include/php/TSRM -I/usr/local/php71/include/php/Zend -I/usr/local/php71/include/php/ext -I/usr/local/php71/include/php/ext/date/lib -DHAVE_CONFIG_H -g -O2 -c /hskript/install/xdebug-2.5.0/xdebug_com.c -o xdebug_com.lo
 cc -I. -I/hskript/install/xdebug-2.5.0 -DPHP_ATOM_INC -I/hskript/install/xdebug-2.5.0/include -I/hskript/install/xdebug-2.5.0/main -I/hskript/install/xdebug-2.5.0 -I/usr/local/php71/include/php -I/usr/local/php71/include/php/main -I/usr/local/php71/include/php/TSRM -I/usr/local/php71/include/php/Zend -I/usr/local/php71/include/php/ext -I/usr/local/php71/include/php/ext/date/lib -DHAVE_CONFIG_H -g -O2 -c /hskript/install/xdebug-2.5.0/xdebug_com.c -fPIC -DPIC -o .libs/xdebug_com.o
/hskript/install/xdebug-2.5.0/xdebug_com.c:84:29: error: variable has incomplete type 'struct sockaddr_in6'
        struct sockaddr_in6 sa;
                                   ^
/hskript/install/xdebug-2.5.0/xdebug_com.c:84:9: note: forward declaration of 'struct sockaddr_in6'
        struct sockaddr_in6 sa;
               ^
/hskript/install/xdebug-2.5.0/xdebug_com.c:117:22: error: use of undeclared identifier 'IPPROTO_TCP'
        hints.ai_protocol = IPPROTO_TCP;
                            ^
/hskript/install/xdebug-2.5.0/xdebug_com.c:279:22: error: use of undeclared identifier 'IPPROTO_TCP'
                setsockopt(sockfd, IPPROTO_TCP, TCP_NODELAY, &optval, sizeof(optval));
                                   ^
3 errors generated.
*** Error code 1

Stop.
make: stopped in /hskript/install/xdebug-2.5.0
Additional InformationFreeBSD 10.2
PHP version 7.1.1
TagsNo tags attached.
Operating System
PHP Version7.1.0-7.1.4
Attached Files

- Relationships

-  Notes
(0004188)
derick (administrator)
2017-01-21 14:30

Fixed on GitHub. I've only tested with 10.3 and 11.0 though.
(0004197)
riba (reporter)
2017-02-02 18:38

works on FreeBSD 10.2, thank you

- Issue History
Date Modified Username Field Change
2017-01-19 12:17 riba New Issue
2017-01-19 15:56 derick Status new => confirmed
2017-01-19 15:56 derick Target Version => 2.5.1
2017-01-21 14:30 derick Note Added: 0004188
2017-01-21 14:30 derick Status confirmed => closed
2017-01-21 14:30 derick Assigned To => derick
2017-01-21 14:30 derick Resolution open => fixed
2017-01-21 14:30 derick Fixed in Version => 2.5.1
2017-02-02 18:38 riba Note Added: 0004197


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker